<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="FORUM-CATEGORIES/PAGED-LIST/LIST/HEADER">
		<tr class="fixed">
			<th style="width: 1%;">
				<div><input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked,'category');" class="check"/></div>
			</th>
			<th>
				<div><xsl:value-of select="NAME"/></div>
			</th>
			<th>
				<div><xsl:value-of select="TOPICS-COUNT"/></div>
			</th>
			<th style="width:1%;"><div><span></span></div></th>
			<th style="width:1%;"><div><span></span></div></th>
			<th style="width:1%;text-align:center;" scope="col">
				<div><xsl:value-of select="EDIT"/></div>
			</th>
		</tr>
	</xsl:template>

	<xsl:template match="FORUM-CATEGORIES/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class">
	<xsl:call-template name="LIST-ROW-CLASS">
        	<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
	</xsl:call-template>
</xsl:variable>
		<tr class="{$class}">
			<td style="width: 1%;">
				<input type="checkbox" name="category_objectIds[]" class="check">
					<xsl:attribute name="value">
						<xsl:value-of select="ID"/>
					</xsl:attribute>
				</input>
			</td>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="NAME"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="ITEMS-COUNT"/>
				</xsl:with-param>
			</xsl:call-template>
			<td style="width:1%; text-align:center;">
				<xsl:if test="not(IS-FIRST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">
						setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Forum/Category/Up?id=<xsl:value-of select="ID"/>');sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
					</a>
				</xsl:if>
			</td>

			<td style="width:1%; text-align:center;">
				<xsl:if test="not(IS-LAST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Forum/Category/Down?id=<xsl:value-of select="ID"/>');sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
					</a>
				</xsl:if>
			</td>
			<td style="width:1%; text-align:center;">
				<a href="#">
					<xsl:attribute name="onclick">sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Forum/Category/Edit?categoryId=<xsl:value-of select="ID"/>');</xsl:attribute>
					<img style="border-width: 0px; width: 16px; height: 16px;" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="FORUM-CATEGORIES/TOOLBAR/TOOLBAR-ITEM[1]/@ACTION">
		<xsl:attribute name="onclick">sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="."/>');</xsl:attribute>
	</xsl:template>

</xsl:stylesheet>