<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="FORUM-CONTENT/PAGED-LIST/LIST/HEADER">
		<tr class="fixed">
			<th style="width: 1%;">
				<div><input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked,'message');" class="check"/></div>
			</th>
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">author</xsl:with-param>
				<xsl:with-param name="title">
					<xsl:value-of select="AUTHOR"/>
				</xsl:with-param>
				<xsl:with-param name="currentSortField">
					<xsl:value-of select="ancestor::LIST/@ORDER-BY"/>
				</xsl:with-param>
				<xsl:with-param name="currentSortType">
					<xsl:value-of select="ancestor::LIST/@ORDER-TYPE"/>
				</xsl:with-param>
				<xsl:with-param name="tab">
					<xsl:value-of select="ancestor::TAB-PANEL-CARD/@ID"/>
				</xsl:with-param>
			</xsl:call-template>
			<th>
				<div><xsl:value-of select="REPLY-TEXT"/></div>
			</th>
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">created</xsl:with-param>
				<xsl:with-param name="title">
					<xsl:value-of select="POSTED-ON"/>
				</xsl:with-param>
				<xsl:with-param name="tab">
					<xsl:value-of select="ancestor::TAB-PANEL-CARD/@ID"/>
				</xsl:with-param>
			</xsl:call-template>
			<th style="width:1%;text-align:center;" scope="col">
				<div><xsl:value-of select="EDIT"/></div>
			</th>

		</tr>
	</xsl:template>

	<xsl:template match="FORUM-CONTENT/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class">
	<xsl:call-template name="LIST-ROW-CLASS">
        	<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
	</xsl:call-template>
</xsl:variable>
		<tr class="{$class}">
			<td style="width: 1%;">
				<input type="checkbox" name="message_objectIds[]" class="check">
					<xsl:attribute name="value">
						<xsl:value-of select="ID"/>
					</xsl:attribute>
				</input>
			</td>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="AUTHOR"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="COMMENT"/>
				</xsl:with-param>
				<xsl:with-param name="action">javascript:self.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Forum/Message/Edit?topicId=<xsl:value-of select="ancestor::FORUM-CONTENT/@TOPIC-ID"/>&amp;messageId=<xsl:value-of select="ID"/>');</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="CREATED"/>
				</xsl:with-param>
			</xsl:call-template>
			<td style="width:1%; text-align:center;">
				<a href="#">
					<xsl:attribute name="onclick">self.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Forum/Message/Edit?topicId=<xsl:value-of select="ancestor::FORUM-CONTENT/@TOPIC-ID"/>&amp;messageId=<xsl:value-of select="ID"/>');</xsl:attribute>
					<img style="border-width: 0px; width: 16px; height: 16px;" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="FORUM-CONTENT/TOOLBAR/TOOLBAR-ITEM/@ACTION">
		<xsl:attribute name="onclick">self.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="."/>');</xsl:attribute>
	</xsl:template>

</xsl:stylesheet>